var
  n, m : integer;
begin
  reset(input, 'parking.in');
  rewrite(output, 'parking.out');
  read(n, m);
  assert((1 <= n) and (n <= 1000));
  assert((1 <= m) and (m <= 1000));
  write((n + 1) div 2 * ((m + 1) div 2));
end.